Subject: Re: [PATCH 0/2] fsmonitor: fixup to avoid warnings from pedantic

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Aug 2021 22:37:13 -0700

Jeff Hostetler <[email-masked]> writes:

> On 8/9/21 12:49 PM, Junio C Hamano wrote:
>> Jeff Hostetler <[email-masked]> writes:
>> 
>>> On 8/9/21 2:30 AM, Carlo Marcelo Arenas Belón wrote:
>>>> seen with both clang 12 and gcc 11 in seen (including jh/builtin-fsmonitor)
>>>> as of a5a42b9f76 (from Jul 1)
>>>> it should be squashed into the corresponding patch from the series
>>>> as shown
>>>> in the subject and reroll IMHO; notice Junio also has some bandaid sparse
>>>> fixes for t/helper/test-touch.c that should be included.
>>>> a similar additional fix for C89 compatibility to be send as a reply
>>>> later
>>>> Carlo Marcelo Arenas Belón (2):
>>>>     fixup! fsmonitor-ipc: create client routines for git-fsmonitor--daemon
>>>>     fixup! fsmonitor--daemon: implement handle_client callback
>>>>    builtin/fsmonitor--daemon.c | 2 +-
>>>>    fsmonitor-ipc.h             | 2 ++
>>>>    2 files changed, 3 insertions(+), 1 deletion(-)
>>>>
>>>
>>> Thanks!
>> Thanks, both.
>> Jeff, I understand that this is planned to be rerolled post release,
>> so I'll not touch these fixups and let yuou worry about them ;-)

Here is what I had to do to work around

 https://github.com/git/git/runs/3438543601?check_suite_focus=true#step:5:136

I also have another SQUASH??? fix queued on the topic, but I think
you've already seen it.

---
 fsmonitor-ipc.h | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/fsmonitor-ipc.h b/fsmonitor-ipc.h
index 837c5e5b64..7e02c7285a 100644
--- a/fsmonitor-ipc.h
+++ b/fsmonitor-ipc.h
@@ -1,6 +1,8 @@
 #ifndef FSMONITOR_IPC_H
 #define FSMONITOR_IPC_H
 
+#include "simple-ipc.h"
+
 /*
  * Returns true if built-in file system monitor daemon is defined
  * for this platform.
-- 
2.33.0-205-g1b5b9d966b